未加星标

CentOS安装Python2.7与Python2.6并存的方法

字体大小 | |
[运维安全 所属分类 运维安全 | 发布者 店小二03 | 时间 | 作者 红领巾 ] 0人收藏点击收藏

最近买了VPS用CentOS用服务系统,以前用Ubuntu的时候感觉linux还挺好用但是这几天用CentOS的时候让我对Linux有了新的认识,Linux也能让你抓狂!我在原来系统上装了python2.7后出现各种问题,各种库找不到呀!,因为ContOS里的很多库依赖Python2.6,当安装完Python2.7后会出现各种问题。如果能让其2个版本很好的并存可以解决此问题。后来发现了一篇博客解决了我的问题,现在记录下来也为和我有同样问题的人指明一个方向。

首先更新yum和安装开发工具集

yum -y update
yum groupinstall -y 'development tools'

然后再安装python工具需要的软件包(不然安装setuptools和pip会出错,然后提示找缺少什么文件,所以提前装上)。

yum install -y zlib-devel bzip2-devel openssl-devel xz-libs wget

用源码安装Python2.7

// 下载源码
wget http://www.python.org/ftp/python/2.7.13/Python-2.7.13.tar.xz
// 解压文件
xz -d Python-2.7.13.tar.xz
tar -xvf Python-2.7.13.tar
// 进入解压后的文件夹
cd Python-2.7.13
// 运行配置
./configure --prefix=/usr/local
// 编译和安装
make
make altinstall

可能你在其他地方看到的是make install,而我这里用的make altinstall。因为altinstall不用影响原来的python版本。

设置软连接

ln -s /usr/local/bin/python2.7 /usr/bin/python

经过软连接以后我们再使用python命令的是时候就指向我们的2.7版本的python了。

安装setuptools

// 下载源码
wget --no-check-certificate https://pypi.python.org/packages/source/s/setuptools/setuptools-1.4.2.tar.gz
// 解压文件
tar -xvf setuptools-1.4.2.tar.gz
// 进入解压后的文件夹
cd setuptools-1.4.2
// 安装
python2.7 setup.py install

安装pip

curl https://bootstrap.pypa.io/get-pip.py | python2.7

解决yum不能用的问题

因为yum不支持pthon2.7经过上面的步骤你会发现yum不能用了,这们上面安装的时候并没有移除掉python2.6,所以我们只对yum指定python版本就可以了

// 用编辑器打开yum
vi /usr/bin/yum
将第一行  #!/usr/bin/python  改为 #!/usr/bin/python2.6
现在运行一下yum看看是不是能用了。

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持脚本之家。

本文运维安全相关术语:linux服务器代维 linux服务器搭建 运维管理 运维工程师 企业安全文章 企业安全管理 cf安全系统检测到游戏数据异常

主题: LinuxPythonUbuntu博客服务系统VPS
tags: python,yum,usr,tar,setuptools,Python2,安装,bin,python2,Python,解压,xz,wget,CentOS
分页:12
转载请注明
本文标题:CentOS安装Python2.7与Python2.6并存的方法
本站链接:http://www.codesec.net/view/563501.html
分享请点击:


1.凡CodeSecTeam转载的文章,均出自其它媒体或其他官网介绍,目的在于传递更多的信息,并不代表本站赞同其观点和其真实性负责;
2.转载的文章仅代表原创作者观点,与本站无关。其原创性以及文中陈述文字和内容未经本站证实,本站对该文以及其中全部或者部分内容、文字的真实性、完整性、及时性,不作出任何保证或承若;
3.如本站转载稿涉及版权等问题,请作者及时联系本站,我们会及时处理。
登录后可拥有收藏文章、关注作者等权限...
技术大类 技术大类 | 运维安全 | 评论(0) | 阅读(46)